您好,匿名用户

vue-cli 执行karma测试报错

0 投票
Error: [vuex] vuex requires a Promise polyfill in this browser.   at webpack:///~/.2.0.0@vuex/dist/vuex.js:145:0 <- index.js:16625

这是要用chrome替换phantomjs才行?

用户头像 提问 2017年 6月17日 @ Cassiopeia 中士 (1,092 威望)
分享到:

1个回答

0 投票

引用babel-polyfill

npm i babel-polyfill -D

然后在你需要的地方
import 'babel-polyfill'

用户头像 回复 2017年 6月17日 @ Kassadin 中士 (1,055 威望)
提一个问题:

相关问题

0 投票
1 回复 143 阅读
0 投票
1 回复 248 阅读
0 投票
1 回复 89 阅读

欢迎来到随意问技术百科, 这是一个面向专业开发者的IT问答网站,提供途径助开发者查找IT技术方案,解决程序bug和网站运维难题等。
温馨提示:本网站禁止用户发布与IT技术无关的、粗浅的、毫无意义的或者违法国家法规的等不合理内容,谢谢支持。

欢迎访问随意问技术百科,为了给您提供更好的服务,请及时反馈您的意见。
...